Skip to main content
`Ctrl`+`K`

# PetscDSGetLowerBound

Get the pointwise lower bound function for a given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetLowerBound(PetscDS ds, PetscInt f, PetscPointBoundFn **lb, void **ctx)

Not Collective

## Input Parameters

- ds - The PetscDS

- f - The field number

## Output Parameters

- lb - lower bound function for the field, see `PetscPointBoundFn`

- ctx - lower bound context that was set with `PetscDSSetLowerBound()`

## See Also

`PetscDS`, `PetscPointBoundFn`, `PetscDSSetLowerBound()`, `PetscDSGetUpperBound()`, `PetscDSGetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages